<?php

class Rover_IDX_Dashboard
	{
	private Rover_IDX $rover_idx;

	public function __construct(Rover_IDX $rover_idx)
		{
		$this->rover_idx						= $rover_idx;
		}

	public function dashboard_active_summary()	{

		$rover_content				= $this->rover_idx->CONTENT->rover_content(
															'ROVER_COMPONENT_DASHBOARD_ACTIVE_LISTINGS'
															);
		echo $rover_content['the_html'];

		}

	public function dashboard_activity()	{

		$rover_content				= $this->rover_idx->CONTENT->rover_content(
															'ROVER_COMPONENT_DASHBOARD_ACTIVITY'
															);
		echo $rover_content['the_html'];

		}

	public function dashboard_mail()	{

		$rover_content				= $this->rover_idx->CONTENT->rover_content(
															'ROVER_COMPONENT_DASHBOARD_MAIL'
															);
		echo $rover_content['the_html'];

		}
	}

?>